%define theme Compact

Name: design-bootsplash-%theme
Version: 2.2.9
Release: alt2
Summary: Theme for splash animations during bootup
Summary(ru_RU.KOI8-R):      
License: Distributable
Group: Graphics
BuildPreReq: gfxboot design-bootloader-%theme >= %version
Provides: design-bootsplash

# Theme file
Source0: %name-%version.tar.bz2

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q

%build

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/%_datadir/splash/themes/%theme/
cp -a *	$RPM_BUILD_ROOT%_datadir/splash/themes/%theme/

subst "s/<theme>/%theme/" $RPM_BUILD_ROOT%_datadir/splash/themes/%theme/config/*.cfg

# create current bootloader themes
cd %_datadir/gfxboot/%theme/
mkdir -p $RPM_BUILD_ROOT/boot/splash/%theme
%_sbindir/mkbootmsg -c %theme.config $RPM_BUILD_ROOT/boot/splash/%theme/message

%post
%__ln_s -nf %theme /usr/share/splash/themes/current
%__ln_s -nf %theme/message /boot/splash/message

%preun
[ $1 = 0 ] || exit 0
[ "`readlink /usr/share/splash/themes/current`" != %theme ] ||
    %__rm -f /usr/share/splash/themes/current

[ "`readlink /boot/splash/message`" != %theme/message ] ||
    %__rm -f /boot/splash/message

%files
%_datadir/splash/themes/%theme
/boot/splash/%theme/message

%changelog
* Tue Oct 14 2003 Rider <rider@altlinux.ru> 2.2.9-alt2
- rebuild with new design-bootloader

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 2.2.9-alt1
- build with new design-bootloader

* Tue Jul 29 2003 Rider <rider@altlinux.ru> 2.2.2-alt3
- fix path to theme
- update images from ALT Linux Design

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt2
- fix splashscreen images bugs

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt1
- design update 

* Thu Jul 17 2003 Rider <rider@altlinux.ru> 2.2.1-alt1
- first build
